include('shared.lua')


function ViewPoint( ply, origin, angles, fov )

	local jump=LocalPlayer():GetNetworkedEntity("Jumper",LocalPlayer())
	local dist= -300

	if LocalPlayer():GetNetworkedBool("isDriveJumper",false) and jump~=LocalPlayer() and jump:IsValid() then
		local view = {}
			view.origin = jump:GetPos()+Vector( 0, 0, 250 )+ply:GetAimVector():GetNormal()*dist
			view.angles = angles
		return view
	end
end
hook.Add("CalcView", "JumperView", ViewPoint);


function ENT:Draw()

	self.Entity:DrawModel();

end

function ENT:IsTranslucent()
	
	return false
	
end
